<xml> </xml>

SOLIDWORKS PDM Professional API Help | Send Feedback
IEdmState5 Interface Members
See Also Properties Methods

Collapse All Expand All

EPDM.Interop.epdm Namespace : IEdmState5 Interface

The following tables list the members exposed by IEdmState5.

# Public Properties

| Name | Description
--- | --- | ---
| IconName | Gets the name of the icon used in the workflow graph.

Top

# Public Methods

| Name | Description
--- | --- | ---
| GetFirstFilePosition | Starts an enumeration of all the files in this workflow state.
| GetFirstTransitionPosition | Starts an enumeration of the transitions to and from this workflow state.
| GetNextFile | Gets the next file in this workflow state.
| GetNextTransition | Gets the next transition to or from this workflow state.
| GetTransition | Obsolete. Gets a transition from this workflow state by name.

Top

# See Also

####

IEdmState5 Interface
EPDM.Interop.epdm Namespace
IEdmTransition5 Interface